/* Musical Blob
 * University of Washington Computer Science and Engineering
 * Sound Capstone (CSE 481i)
 * Project Members: Nathan Armstrong, Daniel Chesney, Andrew Foster
 *
 * WiiTest
 * A simple test for connecting to and accessing info from WiiMotes.
 */

#include "WiiMote.hpp"
#include <unistd.h>

class WiiManager;

int main(int argc, char** argv){
	WiiManager wm;
	printf("%d WiiMotes found!\n", wm.search());
	for(int i = 0; i < 100; i++){
		usleep(100000);
		if(wm.poll()){
			for(int i = 0; i < wm.wii_motes.size(); i++){
				WiiMote mote = wm.wii_motes[i];
				TripleD accel = mote.getAccel();
				printf("Mote %d: (%f, %f, %f)\n", i, accel.getElemA(), accel.getElemB(), accel.getElemC());
			}
			printf("=======\n");
		}else printf("No motes found!");
	}
}
